Name:          libortp
Version:       5.2.111
Release:       1mamba
Summary:       A Real-time Transport Protocol (RTP,RFC3550) library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/BelledonneCommunications/ortp
Source:        https://github.com/BelledonneCommunications/ortp.git/%{version}/ortp-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbctoolbox-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
ortp is a Real-time Transport Protocol (RTP,RFC3550) library.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
ortp is a Real-time Transport Protocol (RTP,RFC3550) library.
This package contains static libraries and header files need for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation

%description apidocs
%{name} API documentation.

%debug_package

%prep
%setup -q -n ortp-%{version}

%build
%cmake \
   -DENABLE_STATIC=OFF \
   -DENABLE_DOC=NO \
   -DENABLE_UNIT_TESTS=NO

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libortp.so.*
%doc AUTHORS.md LICENSE.txt

%files devel
%defattr(-,root,root)
%{_includedir}/ortp
%{_libdir}/libortp.so
%{_libdir}/pkgconfig/ortp.pc
%dir %{_libdir}/cmake/ortp
%{_libdir}/cmake/ortp/ortp*.cmake
%doc CHANGELOG.md

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/doc/ortp-*
%{_datadir}/doc/ortp-*/*

%changelog
* Thu Nov 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.111-1mamba
- update to 5.2.111

* Tue Jun 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.20-1mamba
- update to 4.5.20

* Sat Nov 11 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2

* Mon Dec 19 2016 Automatic Build System <autodist@mambasoft.it> 0.27.0-1mamba
- automatic version update by autodist

* Tue Nov 03 2015 Automatic Build System <autodist@mambasoft.it> 0.25.0-1mamba
- automatic version update by autodist

* Tue May 26 2015 Automatic Build System <autodist@mambasoft.it> 0.24.2-1mamba
- automatic version update by autodist

* Sat Apr 04 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.24.1-1mamba
- update to 0.24.1

* Sat Mar 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.23.0-1mamba
- update to 0.23.0

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 0.22.0-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.0-1mamba
- update to 0.20.0

* Fri Jun 17 2011 Automatic Build System <autodist@mambasoft.it> 0.16.5-1mamba
- automatic update by autodist

* Thu Jul 08 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.3-2mamba
- rebuilt to add pkgconfig provides

* Mon Jun 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.3-1mamba
- update to 0.16.3

* Wed May 05 2010 Automatic Build System <autodist@mambasoft.it> 0.16.1-1mamba
- automatic update by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic update by autodist

* Fri Feb 13 2009 Davide Madrisan <davide.madrisan@gmail.com> 0.15.0-1mamba
- package created by autospec
